package internal

import (
	"os"

	"coopcloud.tech/abra/pkg/log"
	"github.com/urfave/cli"
)

// ShowSubcommandHelpAndError exits the program on error, logs the error to the
// terminal, and shows the help command.
func ShowSubcommandHelpAndError(c *cli.Context, err interface{}) {
	if err2 := cli.ShowSubcommandHelp(c); err2 != nil {
		log.Error(err2)
	}
	log.Error(err)
	os.Exit(1)
}
